petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatMumpsGetIcntl

Get MUMPS parameter ICNTL()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsGetIcntl(Mat F,PetscInt icntl,PetscInt *ival)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-MUMPS interface
| icntl | - index of MUMPS parameter array ICNTL()

### Output Parameter

ival -value of MUMPS ICNTL(icntl)

### References

MUMPS Users' Guide -

### See Also

MatGetFactor(), MatMumpsSetICntl(), MatMumpsGetIcntl(), MatMumpsSetCntl(), MatMumpsGetCntl(), MatMumpsGetInfo(), MatMumpsGetInfog(), MatMumpsGetRinfo(), MatMumpsGetRinfog()

Level:beginner
Location:src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages